=== debian/control ===
Source: ros-dashing-rcl-yaml-param-parser
Section: misc
Priority: optional
Maintainer: Anup Pemmaiah <anup.pemmaiah@apex.ai>
Build-Depends: debhelper (>= 9.0.0), libyaml-dev, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-libyaml-vendor, ros-dashing-rcl, ros-dashing-rcutils, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rcl-yaml-param-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-dev, ros-dashing-libyaml-vendor, ros-dashing-ros-workspace
Description: Package containing various utility types and functions for C
